program Q3Dump;

uses
  Forms,
  HTMLgenUnit in 'HTMLgenUnit.pas' {HTMLform},    // main UI and synchronization unit
  UHighLighter in 'UHighLighter.pas',             // container object for configuration
  UAppOptions in 'UAppOptions.pas',               // application options object
  UIOOptions in 'UIOOptions.pas',                 // Input/Output options object
  UHTMLOptions in 'UHTMLOptions.pas',             // HTMl page options object
  UGenDeclarations in 'UGenDeclarations.pas',     // utilty classes and global vars/constants
  UAbout in 'UAbout.pas' {frmAbout},              // about dialog
  UCustomIni in 'UCustomIni.pas',                 // custom ini file wrapper
  UConvertClass in 'UConvertClass.pas',           // highlighter unit (HTML generation)
  Windows;
{$R *.RES}
var AppHandle: HWND;
begin
  AppHandle := 0;
  try
    Application.Initialize;
    Application.CreateForm(THTMLform, HTMLform);
    AppHandle := Application.Handle;
    Application.Run;
  except                                          // things are not too well if it gets here
    Messagebox(AppHandle, 'Fatal Error', 'Exiting', MB_iconstop);
  end;

end.

